
/*	Copyright (C) 2005, 2006 by Andy Grebe a.k.a. tecknophreak(tecknophreak@gmail.com)
 *
 *	This file is part of TouchMe Games.
 *
 *	TouchMe Games is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	TouchMe Games is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with TouchMe Games; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// support functions for DART_COUNTUP

#include <dartCountUp.h>

DART_COUNTUP::DART_COUNTUP() : round(1), doubleBullOn(false), gameState(PLAYING) {
	bgcolor.red = 0x4600;
	bgcolor.green = 0x8200;
	bgcolor.blue = 0xB400;
	for (int i = 0; i < 8; ++i) {
		darts[i] = 0;
		rounds[i] = 0;
		doubles[i] = 0;
		triples[i] = 0;
	}
	winner = -1;
	beginningScore = 0;
}

DART_COUNTUP::~DART_COUNTUP() {
}

std::string DART_COUNTUP::name() const {
	return "dartCountUp";
}

std::string DART_COUNTUP::imageName() const {
	return "dartCountUp.gif";
}
GdkColor *DART_COUNTUP::backgroundColor() {
	return &bgcolor;
}

int DART_COUNTUP::gameType() const {
	return DART_GAME;
}

