
/*	Copyright (C) 2005, 2006 by Andy Grebe a.k.a. tecknophreak(tecknophreak@gmail.com)
 *
 *	This file is part of TouchMe Games.
 *
 *	TouchMe Games is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	TouchMe Games is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with TouchMe Games; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// support functions for DartCricket

#include <dartcricket.h>
#include <sstream>

DartCricket::DartCricket() : round(1), doubleBullOn(false), lastChanceDarts(false), gameState(PLAYING) {
	GAME_PTR::setScoreType(FLOAT);
	
	bgcolor.red = 0x4600;
	bgcolor.green = 0x8200;
	bgcolor.blue = 0xB400;
	for (int i = 0; i < 8; ++i) {
		darts[i] = 0;
		rounds[i] = 0;
		doubles[i] = 0;
		triples[i] = 0;
	}
	winner = -1;
	beginningScore = 0;
	didTon = false;
}

DartCricket::~DartCricket() {
}

std::string DartCricket::name() const {
	return "dartcricket";
}

std::string DartCricket::imageName() const {
	return "dartcricket.gif";
}
GdkColor *DartCricket::backgroundColor() {
	return &bgcolor;
}

GtkWidget *DartCricket::getHelp() {
    GtkWidget *vbox;
    GtkWidget *label;
    GdkColor color;
    std::stringstream sstr;
    
    color.red = 0xFFFF;
    color.green = 0xFFFF;
    color.blue = 0xFFFF;
    
    vbox = gtk_vbox_new(FALSE, 0);
    
    sstr << "Dart01 is a dart game which you can play\n"
                    << "301, 401,..., 901 with up to 8 players.  You\n"
                    << "start with X01 points and try to get to zero.\n"
                    << "If you go under 0, you bust and get the number\n"
                    << "of points you had at the beginning of the round.\n"
                    << "If double bull is on, the outside ring counts as\n"
                    << "25 and the inside counts as 50.  If double bull\n"
                    << "is off, the inside ring also counts as 50.\n";
    
    label = gtk_label_new(sstr.str().c_str());
    gtk_widget_modify_fg(label, (GtkStateType)0, &color);
    gtk_box_pack_start((GtkBox *)vbox, label, FALSE, FALSE, 10);
    return vbox;
}

int DartCricket::gameType() const {
	return DART_GAME;
}

